# NOTE:
# Wammu must be build with python-gammu rebuild against current gammu-devel

Summary:	Wammu - Gammu GUI - Mobile phone manager
Summary(pl.UTF-8):	Wammu - interfejs graficzny dla Gammu
Name:		wammu
Version:	0.36
Release:	2
License:	GPL v2+
Group:		Applications/Communications
Source0:	http://dl.cihar.com/wammu/latest/%{name}-%{version}.tar.bz2
# Source0-md5:	065186e6d08bffd7f95ae000046904cb
URL:		http://wammu.eu/
BuildRequires:	gammu-devel >= 1:1.11.91
BuildRequires:	pkgconfig >= 1:0.21-2
BuildRequires:	python-devel >= 1:%py_ver
BuildRequires:	python-gammu >= 0.24
BuildRequires:	python-wxPython >= 2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python = %py_ver
Requires:	gammu
Requires:	obexfs
Requires:	obextool
Requires:	python-gammu >= 0.24
Requires:	python-wxPython
#Suggests:	bluez-gnome  # gnome-bluetooth ?
#Suggests:	python-pybluez #
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wammu is mobile phone manager running on Linux, Windows and possibly
other platforms, where Gammu and wxPython works. The communication is
made by Gammu library. Currently supported features:

- complete support for contacts, todo, calendar
- can read/create/save/send/backup SMSes
- sending files to phone (OBEX and Sony Ericsson phones only)
- SMS composer for multi part SMSes
- display message including pictures and ringtones playback
- support for backup and import in various formats (vCard, vCalendar,
  vTodo, iCalendar, gammu own backup, ...)
- export messages to mail (IMAP4, maildir and mailbox storages)
- searching for phone

%description -l pl.UTF-8
Wammu to zarządca telefonów komórkowych działający pod Linuksem,
Windows i być może na innych platformach, na których działa Gammu i
wxPython. Komunikacja jest wykonywana przez bibliotekę Gammu.
Aktualnie dostępne możliwości:
- pełna obsługa kontaktów, listy zadań, kalendarza
- odczyt przeczytanych/utworzonych/zapisanych/wysłanych/zachowanych
  SMS-ów
- przesyłanie plików do telefonu (tylko OBEX i telefony Sony Ericsson)
- narzędzie do tworzenia wieloczęściowych SMS-ów
- wyświetlanie komunikatów wraz z obrazkami i dzwonkami
- obsługa kopii bezpieczeństwa i importu z różnych formatów (vCard,
  vCalendar, vTodo, iCalendar, własny format kopii Gammu...)
- eksport wiadomości do e-maili (IMAP4, maildir i mailbox)
- szukanie telefonów

%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS FAQ README
%attr(755,root,root) %{_bindir}/*
%{_pixmapsdir}/%{name}.*
%dir %py_sitescriptdir/Wammu
%{py_sitescriptdir}/Wammu/*
%{py_sitescriptdir}/*.egg-info
%{_mandir}/man1/%{name}*.*
%lang(cs) %{_mandir}/cs/man1/%{name}*.*
%lang(de) %{_mandir}/de/man1/%{name}*.*
%lang(es) %{_mandir}/es/man1/%{name}*.*
%lang(fr) %{_mandir}/fr/man1/%{name}*.*
%lang(it) %{_mandir}/it/man1/%{name}*.*
%lang(nl) %{_mandir}/nl/man1/%{name}*.*
%lang(pt_BR) %{_mandir}/pt_BR/man1/%{name}*.*
%lang(ru) %{_mandir}/ru/man1/%{name}*.*
%lang(sk) %{_mandir}/sk/man1/%{name}*.*
%dir %{_datadir}/Wammu
%{_datadir}/Wammu/*
%{_desktopdir}/%{name}.desktop
%changelog
* Sun Jun 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/wammu.git;a=log;h=master

* Sun Jun 23 2013 Jan Rękorajski <baggins@pld-linux.org> d8fb51e
- release 2 (by relup.sh)

* Thu Oct 06 2011 Andrzej Augustyński <august84@pld-linux.org> dc37003
- up to 0.36

* Fri Dec 03 2010 lisu <lisu@pld-linux.org> d04f212
- update to 0.35
- package more man pages
- adapter

* Wed Sep 08 2010 lisu <lisu@pld-linux.org> f15e65a
- up to 0.34
- adapter

* Thu Aug 12 2010 zbyniu <zbyniu@pld-linux.org> c965ae9
- rel 4

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 336d281
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 28df9af
- release 2

* Sun Jun 13 2010 Mateusz Korniak <matkor@pld-linux.org> 00b5607
- Version 0.33-1.

* Tue Mar 02 2010 blekot <blekot@pld-linux.org> db40497
- up to 0.32.1

* Sun Apr 12 2009 Tomasz Pala <gotar@pld-linux.org> 8f36eb5
- upgraded to 0.30.1,
- BR: python-devel >= 1:%py_ver as python-devel requires only python binary
  (which can be 2.5 or any older) and python(abi) provided by python-libs

* Tue Mar 31 2009 Tomasz Pala <gotar@pld-linux.org> e22368a
- require exact version of python binary, autogenerated python(abi) is
  provided by python-libs which don't imply the same versions (in case of
  multiple python-libs being installed)

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> c3b1dce
- release 2

* Mon Oct 27 2008 Zsolt Udvari <uzsolt@pld-linux.org> 6781ad9
- up to 0.29

* Sun Oct 12 2008 Bartłomiej Zimoń <cactus@pld-linux.org> 5d11cd6
- rel 3 : for rebuild with new python 2.6

* Wed Jun 25 2008 hawk <hawk@pld-linux.org> 8278a8c
- make it build

* Fri May 23 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 45c3a7f
- up to 0.27

* Sat Dec 22 2007 blekot <blekot@pld-linux.org> 8dd5c28
- added S: python-pybluez

* Sat Dec 22 2007 blekot <blekot@pld-linux.org> c8e8e90
- up to 0.25
- BR: python-gammu >= 0.24

* Sun Nov 18 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 866b191
- rel.1 for python-gammu 0.23

* Sat Nov 17 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 4ea4294
- up to 0.24

